.webform-submission-form input[type=radio]+label {
  margin: .2rem 0 0 2rem;
}

.webform-element-more-link--checkbox, .webform-element-more-link--radio {
  margin: -1rem 0 2rem .5rem;
}

.webform-submission-form fieldset.radios--wrapper .fieldset-wrapper, .webform-submission-form fieldset.webform-radios-other {
  margin-bottom: 1rem;
}

hr.progress-separator {
  margin-bottom: 2.5rem;
}

/* Hide the bullet list under the greeting name type */

#edit-preview .ontario-summary-list__value ul {
  display: none !important;
}

/* Make the proceed to next step and back button order reverse */

#edit-actions {
  display: flex;
  justify-content: flex-start; /* aligns left */
}

#edit-actions-wizard-next {
  order: 1; /* Proceed button first */
}

#edit-actions-wizard-prev,
#edit-actions-preview-prev {
  order: 2; /* Back button second */
}

/*Buttons at the bottom of the page in mobile */

@media (max-width: 600px) {
  /* Target all webform action wrappers */
  .webform-actions {
    display: flex !important;
    flex-direction: column !important;
    align-items: stretch;
  }

  /* Make each button take a full row */
  .webform-actions .form-submit {
    display: block !important;
    width: 100% !important;
    box-sizing: border-box;
    margin-bottom: 10px;
  }

  /* remove last margin */
  .webform-actions .form-submit:last-child {
    margin-bottom: 20px;
  }
}

/* Unit number and address line 1 */
/* Desktop only */
@media (min-width: 768px) {

  .form-item-unit-number,
  .form-item-address-line-1 {
    display: flex !important;
    flex-direction: column;
  }

  .form-item-unit-number {
    float: left;
    width: 220px !important;
    margin-right: 20px;
  }

  .form-item-address-line-1 {
    float: left;
    width: calc(100% - 240px) !important;
  }

  /* Reset the next field so it starts below */
  .form-item-address-line-2 {
    clear: both;
  }
  
  /* French unit number and line 1 */
  .path-fr-node-557443-webform-test .webform-submission-special-greetings-form .form-item-unit-number .form-optional.form-label,
  .path-fr-forme-voeux-speciaux .webform-submission-special-greetings-form .form-item-unit-number .form-optional.form-label{
    width: max-content;
  }
}

/*Mobile only*/
@media (max-width: 767px) {
  #edit-address-line-1,
  #edit-city,
  #edit-unit-number {
    width: 100% !important;
    max-width: 100% !important;
  }
}